Bug 1735549 (CVE-2019-1010220) - CVE-2019-1010220 tcpdump: buffer over-read in function print_prefix in print-hncp.c
Summary: CVE-2019-1010220 tcpdump: buffer over-read in function print_prefix in print-...
Keywords:
Status: CLOSED DUPLICATE of bug 1655374
Alias: CVE-2019-1010220
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1735550
Blocks: 1735552
TreeView+ depends on / blocked
 
Reported: 2019-08-01 05:12 UTC by Dhananjay Arunesh
Modified: 2019-10-28 09:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-07 10:16:13 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-08-01 05:12:34 UTC
A vulnerability was found in tcpdump.org tcpdump 4.9.2 is affected by: CWE-126: Buffer Over-read. The impact is: May expose Saved Frame Pointer, Return Address etc. on stack. The component is: line 234: "ND_PRINT((ndo, "%s", buf));", in function named "print_prefix", in "print-hncp.c". The attack vector is: The victim must open a specially crafted pcap file.

Reference:
https://github.com/the-tcpdump-group/tcpdump/blob/tcpdump-4.9.2/print-hncp.c
https://github.com/the-tcpdump-group/tcpdump/blob/master/print-hncp.c
https://github.com/the-tcpdump-group/tcpdump/commits/master/print-hncp.c

Comment 1 Dhananjay Arunesh 2019-08-01 05:12:50 UTC
Created tcpdump tracking bugs for this issue:

Affects: fedora-all [bug 1735550]

Comment 3 Stefan Cornelius 2019-08-07 10:16:13 UTC

*** This bug has been marked as a duplicate of bug 1655374 ***

Comment 5 Stefan Cornelius 2019-08-08 11:31:53 UTC
Statement:

This is a duplicate of CVE-2018-19519.


Note You need to log in before you can comment on or make changes to this bug.